Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.ax25
Interface ConnectionEstablishmentListener

    public interface ConnectionEstablishmentListener

This interface provides an asynchronous callback for requests to open a AX.25 I-frame connection to another station. Each of these methods can only be called once for any given session.

Method Summary
`void` | `connectionClosed(java.lang.Object sessionIdentifier, boolean fromOtherEnd)` Report that the established connection was shut down normally.
`void` | `connectionEstablished(java.lang.Object sessionIdentifier, ConnState conn)` Report that the requested connection has been successfully established.
`void` | `connectionLost(java.lang.Object sessionIdentifier, java.lang.Object reason)` Report that the established connection was closed abnormally.
`void` | `connectionNotEstablished(java.lang.Object sessionIdentifier, java.lang.Object reason)` Report that the requested connection could not be established.

Method Detail

### connectionEstablished

    void connectionEstablished(java.lang.Object sessionIdentifier,
                               ConnState conn)

  Report that the requested connection has been successfully established.

  Parameters:
    `sessionIdentifier` - identifier of the particular connection
    `conn` - the ConnState object from which communications streams can be obtained

### connectionNotEstablished

    void connectionNotEstablished(java.lang.Object sessionIdentifier,
                                  java.lang.Object reason)

  Report that the requested connection could not be established.

  Parameters:
    `sessionIdentifier` - identifier of the particular connection
    `reason` - object explaining why the connection could not be established

### connectionClosed

    void connectionClosed(java.lang.Object sessionIdentifier,
                          boolean fromOtherEnd)

  Report that the established connection was shut down normally.

  Parameters:
    `sessionIdentifier` - identifier of the particular connection
    `fromOtherEnd` - boolean true if other end initiated the close

### connectionLost

    void connectionLost(java.lang.Object sessionIdentifier,
                        java.lang.Object reason)

  Report that the established connection was closed abnormally.

  Parameters:
    `sessionIdentifier` - identifier of the particular connection
    `reason` - object explaining why the connection was lost

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD